Package twisted :: Package trial :: Module reporter :: Class TextReporter |
[frames | no frames]

## Class TextReporter

    Reporter --+
               |
              TextReporter

Known Subclasses:
  `TimingTextReporter`, `TreeReporter`, `VerboseTextReporter`

Method Summary
| `__init__(self, stream, tbformat)`
| `_formatError(self, flavor, (testClass, method, error))`
| `_formatImportError(self, name, error)`
| `_statusReport(self)`
| `reportResults(self, testClass, method, resultType, results)`
| `stop(self)`
| `write(self, format, *args)`
| `writeln(self, format, *args)`
Inherited from Reporter
| ``allPassed`(self)`
| ``getRunningTime`(self)`
| ``reportImportError`(self, name, exc)`
| ``reportStart`(self, testClass, method)`
| ``start`(self, expectedTests)`

Instance Variable Summary
Inherited from Reporter
bool | `debugger`: Run the debugger when encountering a failing test.
List of (testClass, method, Results) tuples. | `errors`: Tests which have encountered an error.
List of (testClass, method, Results) tuples. | `expectedFailures`: Tests which failed but are marked as 'todo'
int | `expectedTests`: The number of tests I expect to run.
List of (testClass, method, Results) tuples. | `failures`: Tests which have failed.
List of (moduleName, exception) tuples. | `imports`: Import errors encountered while assembling the test suite.
int | `numTests`: The number of tests I have reports for.
List of (testClass, method, Results) tuples. | `skips`: Tests which have been skipped.
List of (testClass, method, Results) tuples. | `unexpectedSuccesses`: Tests which passed but are marked as 'todo'

Class Variable Summary
`str` | `DOUBLE_SEPARATOR` = `'====================================...`
`str` | `SEPARATOR` = `'-------------------------------------------...`

Class Variable Details

    ### DOUBLE_SEPARATOR Type: `str` Value:
        '=====================================================================\
        =========='

    ### SEPARATOR Type: `str` Value:
        '---------------------------------------------------------------------\
        ----------'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net